groovy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul King <pa...@asert.com.au>
Subject Re: [VOTE] Release Apache Groovy 2.4.15
Date Fri, 23 Mar 2018 11:47:46 GMT
We temporarily reverted the ASM change but that ended up not being the
problem, so I put it back the same as in 2.4.14.
The problem was that there was no Java8 plugin for 2_4_X so neither the
code fixes from GROOVY-8338 nor the respective test ran - fixed now with an
empty(*) Java8 plugin for 2_4_X.
(*) just returns the java version

Cheers, Paul.

On Fri, Mar 23, 2018 at 9:10 PM, Jochen Theodorou <blackdrag@gmx.org> wrote:

>
>
> Am 23.03.2018 um 08:04 schrieb Paul King:
>
>>
>> Dear development community,
>>
>> I am happy to start the VOTE thread for a Groovy 2.4.15 release! This is
>> mainly to fix a regression in calling static methods in interfaces. We were
>> trying to improve the JDK9 experience but on the 2.4 branch it caused
>> existing functionality to be impacted even on JDK8.
>>
>> This release includes 6 bug fixes/improvements as outlined in the
>> changelog:
>> https://issues.apache.org/jira/secure/ReleaseNote.jspa?proje
>> ctId=12318123&version=12342853
>>
>
> wait... the upgrade to asm 6 was missing on 2.4.x.... I really thought I
> had checked that. I am puzzled. Or was it undone at some point? Maybe
> because it was not 6.0 final yet? I guess next time I should check the
> release dependencies as well ;)
>
> Anyway +1
>
> bye Jochen
>

Mime
View raw message